Bug 1306954 - Please provide a Python 3 build [NEEDINFO]
Summary: Please provide a Python 3 build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pyephem
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-02-12 09:45 UTC by Christian Dersch
Modified: 2016-09-07 11:06 UTC (History)
6 users (show)

Fixed In Version: pyephem-3.7.6.0-4.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 11:06:06 UTC
mhroncok: needinfo? (mmahut)


Attachments (Terms of Use)
Add Python 3 (3.39 KB, patch)
2016-07-26 09:40 UTC, Dominika Krejčí
no flags Details | Diff
Add Python 3 (3.38 KB, patch)
2016-07-27 12:46 UTC, Dominika Krejčí
no flags Details | Diff

Description Christian Dersch 2016-02-12 09:45:24 UTC
According to https://pypi.python.org/pypi/pyephem/3.7.6.0 pyephem is Python 3 capable. It would be great to provide a python3-pyephem in Fedota too :)

Thank you very much in advance!

Comment 1 Jan Kurik 2016-02-24 14:30:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Dominika Krejčí 2016-04-22 13:40:45 UTC
Hello Marek,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 3 Dominika Krejčí 2016-07-26 09:40:44 UTC
Created attachment 1184139 [details]
Add Python 3

Hi Marek,
here is the change needed to add Python 3 support. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15021573

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).

Comment 4 Dominika Krejčí 2016-07-27 12:46:54 UTC
Created attachment 1184645 [details]
Add Python 3

Adding a small fix of Python 2 BuildRequires.

Comment 5 Lumír Balhar 2016-07-27 13:45:03 UTC
Patch looks good to me.

Comment 6 Miro Hrončok 2016-08-16 10:45:58 UTC
Marek,
do you mind if I push this? If you don't reply in a week, I assume it's OK.


Note You need to log in before you can comment on or make changes to this bug.